Update Recurring Meeting settings

Updates the settings for a Recurring Meeting and regenerates occurrences of the Recurring Meeting from the new rules. When making changes to a Recurring Meeting, you may want to investigate the consequences of your changes first before finalizing the changes. You can use the Validate Recurring Meetings API to examine these changes. When you are happy with the changes, call Update Recurring Meetings to complete them. A Recurring Meeting is one that occurs on a specific regular frequency, such as Daily, Weekly, Monthly, or Yearly. To create a Recurring Meeting, you must first create a regular Meeting with the necessary information, then call one of the Create Recurring Meeting APIs. To remove an instance of a Recurring Meeting, call Delete Recurring Meeting and specify one or more instances of the Recurring Meeting.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

meetingIdstringRequiredformat: "uuid"
The unique identifier of the Meeting

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Request

The new settings
typeintegerOptional
Type
repeatEveryinteger or nullOptional
RepeatEvery
repeatOnlist of integersOptional
RepeatOn
repeatOn2Levelinteger or nullOptional
RepeatOn2Level
endsOnstring or nullOptionalformat: "date-time"
EndsOn
endsAfterinteger or nullOptional
EndsAfter

Response

Success
errorobject or nullOptional
If the API call failed, this will contain information about the error that occurred.
successbooleanOptionalRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanOptionalRead-only
True if the API call failed.
statusCodeenumOptional
The HTTP code of the response.
dataobjectOptional
RecurringTaskChangeSetDetails